Subject: Re: bug#75022: 31.0.50; --init-directory sets user-emacs-directory after user eln-cache is set

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Dec 2024 18:26:33 +0200

> Date: Sun, 22 Dec 2024 05:12:47 -0800
> From: "Jordan Isaacs" <[email-masked]>
> Cc: [email-masked]
> 
> > So I don't think I understand why you are asking for changes in how
> > the startup code works in Emacs.  Please tell more about your use
> > case.
> 
> I have a read-only directory of my init.el and early-init.el along with the
> byte compiled versions of them. So I call emacs with --init-directory:

I'm asking why did you compile early-init.el.  What do you have in it
that can benefit from byte-compilation, let alone native compilation?